TESTING/EIG/derred.f(3)

NAME
TESTING/EIG/derred.f

SYNOPSIS

  Functions/Subroutines
subroutine derred (path, nunit)
DERRED

Function/Subroutine Documentation

  subroutine derred (character*3 path, integer nunit)

DERRED

Purpose:

     DERRED tests the error exits for the eigenvalue driver routines for
     DOUBLE PRECISION matrices:
     PATH  driver   description
     ----  ------   -----------
     SEV   DGEEV    find eigenvalues/eigenvectors for nonsymmetric A
     SES   DGEES    find eigenvalues/Schur form for nonsymmetric A
     SVX   DGEEVX   SGEEV + balancing and condition estimation
     SSX   DGEESX   SGEES + balancing and condition estimation
     DBD   DGESVD   compute SVD of an M-by-N matrix A
           DGESDD   compute SVD of an M-by-N matrix A (by divide and
                    conquer)
           DGEJSV   compute SVD of an M-by-N matrix A where M >= N
           DGESVDX  compute SVD of an M-by-N matrix A(by bisection
                    and inverse iteration)
           DGESVDQ  compute SVD of an M-by-N matrix A(with a
                    QR-Preconditioned )

Parameters
    PATH

              PATH is CHARACTER*3
              The LAPACK path name for the routines to be tested.

    NUNIT

              NUNIT is INTEGER
              The unit number for output.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 69 of file derred.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.